Name:     ddcopy
Version:  0.3.3
Release:  %mkrel 1

Summary:  ddCopy
URL:      http://www.pclinuxos.com/
Source:   %{name}-%{version}.tar.xz
License:  WTFPL
Group:   System/Configuration/Other
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildArch: noarch
Requires: udev
Requires: syslinux
Requires: python3 
Requires: python3-parted
Requires: parted
Requires: ntfs-3g
Requires: udisks2
Requires: polkit
Requires: policykit
Requires: cdrkit
Requires: python-gobject3
Requires: yad
Requires: xapps
Requires: lib64xapp1
Requires: python3-xapps-overrides
Obsoletes: %{name} < %{version}

%description
ddCopy writes bootable iso image files to a USB key or DVD
ddCopy formats ext4, ntfs, fat32, exfat and writes zero's 
to a USB key


%prep
%setup -q

%build

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

#menu
desktop-file-install --vendor="" \
    --add-category="X-MandrivaLinux-System-FileTools;" \
	--dir %buildroot%{_datadir}/applications \
	%buildroot%{_datadir}/applications/*.desktop

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR

%post
%update_menus

%postun
%clean_menus


%files
%defattr(-,root,root)
%{_bindir}/%{name}
%_datadir/applications/*.desktop
%_datadir/icons/hicolor/48x48/apps/*.svg
%_datadir/%{name}
%_libdir/%{name}
%_datadir/polkit-1/actions/*


%changelog
* Sun Apr 09 2023 Ken <lxgator at gmail.com> 0.3.3-1pclos2023
- Update

* Sat Oct 30 2021 Ken <lxgator at gmail.com> 0.3.2-2pclos2021
- Added optional check running nvme drives  

* Thu Jul 01 2021 Ken <lxgator at gmail.com> 0.3.2-1pclos2021
- Added new optional write zeros to format gui  

* Mon May 31 2021 Ken <lxgator at gmail.com> 0.3.1-1pclos2021
- Fixed py error in scripts   

* Thu May 27 2021 Ken <lxgator at gmail.com> 0.3.0-1pclos2021
- Rewrite with python3 

* Fri Dec 04 2020 tex - 0.2.9-2pclos2020
- add xapp dependencies

* Wed Sep 09 2020 Ken <lxgator at gmail.com> 0.2.9-1pclos2020
- Rebuild the dvd option for kde fix  
- bump to 0.2.9

* Sat Aug 08 2020 Ken <lxgator at gmail.com> 0.2.8-2pclos2020
- Rebuild fixed exfat format error 

* Sun Aug 02 2020 Ken <lxgator at gmail.com> 0.2.8-1pclos2020
- Update


